<script setup lang="ts">
import { ArrowUpRight } from 'lucide-vue-next'
interface Works {
  year_from: string;
  year_to: string;
  link?: string;
  position: string;
  company: string;
  location: string;
  job_list: string[];
}
const props = defineProps<{ items: Works[] }>()
const items = computed(() => props.items);
</script>

<template>
  <section class="relative mb-14 last:mb-0">
    <div v-for="item in items" class="flex flex-col sm:gap-x-4 sm:flex-row items-start my-4 mb-9 ml-4 mr-8 md:mr-0">
      <div class="elative sm:mr-6 dark:text-darkest whitespace-nowrap after:content-year-to-year after:invisible">
        <span class="absolute text-sm">{{ item.year_from }} - {{ item.year_to }} </span>
      </div>
      <div class="break-words flex flex-col">
        <div class="relative">
          <template v-if="item.link">
            <a :href="item.link" class="hover:underline text-sm">
              {{ item.position }} <span class="text-sm">at {{ item.company }}</span>
            </a>
            <ArrowUpRight class="inline-block ml-2 size-4" />
          </template>
          <template v-else>
            <span class="text-sm">{{ item.position }} <span class="text-sm">at {{ item.company }}</span></span>
          </template>
        </div>
        <div class="relative text-darkest">
          <span class="text-sm">{{ item.location }}</span>
        </div>
        <div class="relative text-darkest mt-2">
          <ul class="list-disc list-outside">
            <li class="text-sm py-1 last:py-0" v-for="jobdesk in item.job_list" v-text="jobdesk" />
          </ul>
        </div>
      </div>
    </div>
  </section>
</template>